petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEGCRGetMmax

get the maximum number of previous directions PIPEGCR will store

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetMmax(KSP ksp,PetscInt *mmax)

Note: PIPEGCR stores mmax+1 directions at most (mmax previous ones, and one current one)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

mmax -the maximum number of previous directons allowed for orthogonalization

### Options Database

-ksp_pipegcr_mmax <N> -

### Keywords

KSP, PIPEGCR, truncation

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRGetNprealloc(), KSPPIPEGCRSetMmax()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages